declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    editor: {
        type: ObjectConstructor;
    };
    node: {
        type: ObjectConstructor;
    };
    decorations: {
        type: ArrayConstructor;
    };
    selected: {
        type: BooleanConstructor;
    };
    extension: {
        type: ObjectConstructor;
    };
    getPos: {
        type: FunctionConstructor;
    };
    updateAttributes: {
        type: FunctionConstructor;
    };
    deleteNode: {
        type: FunctionConstructor;
    };
}>, {}, {
    left: number;
    top: number;
    thisValue: any;
    showPopper: boolean;
    equationString: string;
    errorMsg: string;
    active: boolean;
    outsideEvent: (event: any) => 0 | undefined;
    thisTheme: any;
    thisForeground: any;
    getTitle: any;
    inputHight: string;
    lock: boolean;
}, {
    focusForeground(): any;
}, {
    outSideClickInit(): void;
    render(): void;
    showPos(): void;
    show(): void;
    isCurrentNodeSelection(): boolean;
    close(confirm?: boolean): void;
    closeWithLeftRight(event: any): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    editor: {
        type: ObjectConstructor;
    };
    node: {
        type: ObjectConstructor;
    };
    decorations: {
        type: ArrayConstructor;
    };
    selected: {
        type: BooleanConstructor;
    };
    extension: {
        type: ObjectConstructor;
    };
    getPos: {
        type: FunctionConstructor;
    };
    updateAttributes: {
        type: FunctionConstructor;
    };
    deleteNode: {
        type: FunctionConstructor;
    };
}>> & Readonly<{}>, {
    selected: boolean;
}, {}, {
    NodeViewWrapper: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        as: {
            type: StringConstructor;
            default: string;
        };
    }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        as: {
            type: StringConstructor;
            default: string;
        };
    }>> & Readonly<{}>, {
        as: string;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
